Index: trunk/MFCtooling/mfctooling.sln
===================================================================
--- trunk/MFCtooling/mfctooling.sln	(revision 32)
+++ trunk/MFCtooling/mfctooling.sln	(revision 166)
@@ -13,18 +13,46 @@
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug_Costumlog|Win32 = Debug_Costumlog|Win32
+		Debug_MTrace|Win32 = Debug_MTrace|Win32
 		Debug|Win32 = Debug|Win32
+		Release_Costumlog|Win32 = Release_Costumlog|Win32
+		Release_MTrace|Win32 = Release_MTrace|Win32
 		Release|Win32 = Release|Win32
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug|Win32.ActiveCfg = Debug|Win32
-		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug|Win32.Build.0 = Debug|Win32
-		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release|Win32.ActiveCfg = Release|Win32
-		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release|Win32.Build.0 = Release|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug_Costumlog|Win32.ActiveCfg = Debug_Costumlog|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug_Costumlog|Win32.Build.0 = Debug_Costumlog|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug_MTrace|Win32.ActiveCfg = Debug_MTrace|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug_MTrace|Win32.Build.0 = Debug_MTrace|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug|Win32.ActiveCfg = Debug_MTrace|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Debug|Win32.Build.0 = Debug_MTrace|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release_Costumlog|Win32.ActiveCfg = Release_Costumlog|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release_Costumlog|Win32.Build.0 = Release_Costumlog|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release_MTrace|Win32.ActiveCfg = Release_MTrace|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release_MTrace|Win32.Build.0 = Release_MTrace|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release|Win32.ActiveCfg = Release_MTrace|Win32
+		{A881CC90-25D4-4D76-A30D-C8CA09A3434D}.Release|Win32.Build.0 = Release_MTrace|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Debug_Costumlog|Win32.ActiveCfg = Debug|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Debug_Costumlog|Win32.Build.0 = Debug|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Debug_MTrace|Win32.ActiveCfg = Debug|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Debug_MTrace|Win32.Build.0 = Debug|Win32
 		{98889796-F392-4C4F-A619-BD2C1509B392}.Debug|Win32.ActiveCfg = Debug|Win32
 		{98889796-F392-4C4F-A619-BD2C1509B392}.Debug|Win32.Build.0 = Debug|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Release_Costumlog|Win32.ActiveCfg = Release|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Release_Costumlog|Win32.Build.0 = Release|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Release_MTrace|Win32.ActiveCfg = Release|Win32
+		{98889796-F392-4C4F-A619-BD2C1509B392}.Release_MTrace|Win32.Build.0 = Release|Win32
 		{98889796-F392-4C4F-A619-BD2C1509B392}.Release|Win32.ActiveCfg = Release|Win32
 		{98889796-F392-4C4F-A619-BD2C1509B392}.Release|Win32.Build.0 = Release|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Debug_Costumlog|Win32.ActiveCfg = Debug|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Debug_Costumlog|Win32.Build.0 = Debug|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Debug_MTrace|Win32.ActiveCfg = Debug|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Debug_MTrace|Win32.Build.0 = Debug|Win32
 		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Debug|Win32.ActiveCfg = Debug|Win32
 		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Debug|Win32.Build.0 = Debug|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Release_Costumlog|Win32.ActiveCfg = Release|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Release_Costumlog|Win32.Build.0 = Release|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Release_MTrace|Win32.ActiveCfg = Release|Win32
+		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Release_MTrace|Win32.Build.0 = Release|Win32
 		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Release|Win32.ActiveCfg = Release|Win32
 		{6CDC762E-2D22-4B0F-B6CD-7F8AB432ED42}.Release|Win32.Build.0 = Release|Win32
